For the complete documentation index, see llms.txt. This page is also available as Markdown.

Inbox widgets

Lists all widgets

get

Required Permission: chatbots.inbox.widgets.list

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The Id of the chatbot.

Responses
200Success
application/json
get
/v1/inbox/{chatbotId}/widgets

Creates a widget

post

Required Permission: chatbots.inbox.widgets.create

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The Id of the chatbot.

Body
titlestringRequired

The title of the widget.

Example: Customer Info
Responses
post
/v1/inbox/{chatbotId}/widgets

Gets a widget

get

Required Permission: chatbots.inbox.widgets.get

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The Id of the chatbot.

widgetIdstringRequired

The Id of the widget.

Responses
200Success
application/json
get
/v1/inbox/{chatbotId}/widgets/{widgetId}

Deletes a widget

delete

Required Permission: chatbots.inbox.widgets.delete

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The Id of the chatbot.

widgetIdstringRequired

The Id of the widget.

Responses
200Success
application/json
deletedbooleanOptional

Whether the widget was successfully deleted.

Example: true
delete
/v1/inbox/{chatbotId}/widgets/{widgetId}

Updates a widget

patch

Required Permission: chatbots.inbox.widgets.edit

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The Id of the chatbot.

widgetIdstringRequired

The Id of the widget.

Body
titlestringOptional

The updated title of the widget.

Example: Updated Customer Info
Responses
200Success
application/json
patch
/v1/inbox/{chatbotId}/widgets/{widgetId}

Gets a widget's values

get

Required Permission: chatbots.inbox.widgets.content.get

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The Id of the chatbot.

widgetIdstringRequired

The Id of the widget.

Query parameters
conversationIdstringRequired

The Id of the conversation.

contactIdstringRequired

The Id of the contact.

Responses
200Success
application/json
fieldValuesobject[]Required

The widget values.

get
/v1/inbox/{chatbotId}/widgets/{widgetId}/values

Last updated